Subject: Re: netif_rx will not free skb when I use ftp in kernel 2.6.22/2.6.21

From: Jay Cliburn <[email-masked]>
Date: Thu, 20 Sep 2007 08:02:39 -0500

Chris Snook wrote:
> 张飞 wrote:
>> in function 
>> at_alloc_rx_buffers(), pci_unmap_page() and netif_rx() in function 
>> at_clean_rx_irq(), 

> Okay, I didn't know you were talking about the atl1 driver.  Are you 
> using the
> in-tree driver in 2.6.22, or the pre-merge driver on sourceforge, or the 
> vendor
> driver from Attansic/Atheros?

Based on the function names (at_*), looks like the vendor driver is 
being used.
The pre-merge and in-kernel function names begin with atl1_.

Jay